TEC1936395:When using Java 1.7 u71 or Java 1.8 u25 on a client desktop, the Webstart Workstation fails to start and no error messages are reported.

Document created by Lynn_Williams Employee on May 26, 2016Last modified by SamCreek on May 26, 2016
Version 2Show Document
  • View in full screen mode

Document ID:  TEC1936395

     Last Modified Date:  8/4/2015

     Author: Lynn_Williams

  • Products
    • CA Application Performance Management
  • Releases
    • CA Application Performance Management:Release:CA APM 9.5
    • CA Application Performance Management:Release:CA APM 9.6
    • CA Application Performance Management:Release:CA APM 9.7
    • CA Application Performance Management:Release:9.5
    • CA Application Performance Management:Release:9.6
  • Components
    • INTROSCOPE

 

 

 

Description:

Using a Java 1.7 u71 or Java 1.8 u25 client desktop has workstation Webstart launch issues. After launch, the usual Java install jar and the trust the publisher prompt appears. However the Workstation does not start and no error messages are displayed. 

 

Solution:

Several Java 1.7 related Webstart fixes are included in CA APM 9.5.2 and later releases.

However, there is now an additional known problem in CA APM 9.5.2 and later when the Java version installed is 1.7 u71 or Java 1.8 u25 (or any later update).

If the Java console is enabled with tracing & logging (Control Panel/Java/Advanced), then the user will see the following error displayed as the final message in the console:

************

!ENTRY org.eclipse.osgi 4 0 2014-12-30 18:10:14.932

!MESSAGE access denied ("java.lang.reflect.ReflectPermission" "suppressAccessChecks")

!STACK 0

java.security.AccessControlException: access denied ("java.lang.reflect.ReflectPermission" "suppressAccessChecks")

...

************

To workaround the problem:

1. Make a backup copy of the file EM_HOME/product/enterprisemanager/plugins/com.wily.introscope.workstation.webstart_9.x.0/WebContent/jnlp/workstation.jsp

2. Edit the workstation.jsp file and locate the comment "<! -- Information usually specified in the config.ini -->"

3. Immediately below that line, add the following line and save the file:

<property name="jnlp.eclipse.security" value="osgi"/>

4. Clear the browser and Java caches on the client desktop.

5. Relaunch the Webstart Workstation and the problem should be resolved.

NOTE: This problem is fixed in CA APM 9.6.1, 9.7.1 & 10.0.

 

 

Search the Entire CA APM Knowledge Base

 

search-kb.jpg

 

Attachments

    Outcomes